CVE-2016-1955

Published on: 03/13/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:04 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N

Certain versions of Firefox from Mozilla contain the following vulnerability:

Mozilla Firefox before 45.0 allows remote attackers to bypass the Same Origin Policy and obtain sensitive information by reading a Content Security Policy (CSP) violation report that contains path information associated with an IFRAME element.

  • CVE-2016-1955 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as MEDIUM severity.

CVSS3 Score: 4.3 - MEDIUM

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE REQUIRED
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED LOW NONE NONE

CVSS2 Score: 4.3 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK MEDIUM NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL NONE NONE

CVE References

Description Tags Link
CSP reports fail to strip location information for embedded iframe pages — Mozilla Vendor Advisory
www.mozilla.org
text/html
URL Logo CONFIRM www.mozilla.org/security/announce/2016/mfsa2016-18.html
USN-2917-3: Firefox regressions | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2917-3
USN-2917-1: Firefox vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2917-1
Mozilla Products: Multiple vulnerabilities (GLSA 201605-06) — Gentoo security security.gentoo.org
text/html
URL Logo GENTOO GLSA-201605-06
[security-announce] openSUSE-SU-2016:0733-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:0733
Mozilla Firefox Multiple Flaws Let Remote Users Execute Arbitrary Code, Spoof the Address Bar, Overwrite Files, and Deny Service - SecurityTracker www.securitytracker.com
text/html
URL Logo SECTRACK 1035215
[security-announce] openSUSE-SU-2016:0731-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:0731
[security-announce] openSUSE-SU-2016:1769-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:1769
USN-2917-2: Firefox regressions | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2917-2
[security-announce] openSUSE-SU-2016:1778-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:1778
Access Denied bugzilla.mozilla.org
text/html
URL Logo CONFIRM bugzilla.mozilla.org/show_bug.cgi?id=1208946
[security-announce] openSUSE-SU-2016:1767-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:1767

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationMozillaFirefoxAllAllAllAll
ApplicationNovellSuse Package Hub For Suse Linux Enterprise12AllAllAll
ApplicationNovellSuse Package Hub For Suse Linux Enterprise12AllAllAll
Operating
System
OpensuseLeap42.1AllAllAll
Operating
System
OpensuseLeap42.1AllAllAll
Operating
System
OpensuseOpensuse13.1AllAllAll
Operating
System
OpensuseOpensuse13.2AllAllAll
Operating
System
OpensuseOpensuse13.1AllAllAll
Operating
System
OpensuseOpensuse13.2AllAllAll
  • cpe:2.3:a:mozilla:firefox:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:novell:suse_package_hub_for_suse_linux_enterprise:12:*:*:*:*:*:*:*:
  • cpe:2.3:a:novell:suse_package_hub_for_suse_linux_enterprise:12:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:leap:42.1:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:leap:42.1:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:opensuse:13.1:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:opensuse:13.2:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:opensuse:13.1:*:*:*:*:*:*:*:
  • cpe:2.3:o:opensuse:opensuse:13.2:*:*:*:*:*:*:*: